InvalidModuleDescriptorException (Java SE 17 & JDK 17)
Description: declaration: module: java.base, package: java.lang.module, class: InvalidModuleDescriptorException
Keywords: java.lang.module.InvalidModuleDescriptorException class

Module java.base
Package java.lang.module

# Class InvalidModuleDescriptorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.module.InvalidModuleDescriptorException

All Implemented Interfaces:
  `Serializable`

public class InvalidModuleDescriptorException extends RuntimeException
Thrown when reading a module descriptor and the module descriptor is found to be malformed or otherwise cannot be interpreted as a module descriptor.

Since:
  9
See Also:
  - `ModuleDescriptor.read(java.io.InputStream, java.util.function.Supplier<java.util.Set<java.lang.String>>)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidModuleDescriptorException()`
  Constructs an `InvalidModuleDescriptorException` with no detail message.
  `InvalidModuleDescriptorException(String msg)`
  Constructs an `InvalidModuleDescriptorException` with the specified detail message.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidModuleDescriptorException

    public InvalidModuleDescriptorException()
    Constructs an `InvalidModuleDescriptorException` with no detail message.

  - ### InvalidModuleDescriptorException

    public InvalidModuleDescriptorException(String msg)
    Constructs an `InvalidModuleDescriptorException` with the specified detail message.
    Parameters:
      `msg` - The detail message; can be `null`